restinio::transforms::zlib::body_appender_t< user_controlled_output_t > Class Referencefinal

`#include <zlib.hpp>`

Inheritance diagram for restinio::transforms::zlib::body_appender_t< user_controlled_output_t >:

## Public Types

using | base_type_t = x_controlled_output_body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >
Public Types inherited from restinio::transforms::zlib::x_controlled_output_body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >
using | base_type_t = body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >
Public Types inherited from restinio::transforms::zlib::body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >
using | resp_t = response_builder_t< user_controlled_output_t >

## Public Member Functions

auto & | flush ()
Public Member Functions inherited from restinio::transforms::zlib::x_controlled_output_body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >
body_appender_t< user_controlled_output_t > & | append (string_view_t input)
| Append a piece of data to response. More...
void | complete ()
| Complete zlib transformation operation. More...
Public Member Functions inherited from restinio::transforms::zlib::body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >
| body_appender_base_t (const params_t &params, resp_t &resp)
| body_appender_base_t (const body_appender_base_t &)=delete
| body_appender_base_t (body_appender_base_t &&ba) noexcept
body_appender_base_t & | operator= (const body_appender_base_t &)=delete
body_appender_base_t & | operator= (body_appender_base_t &&)=delete
virtual | ~body_appender_base_t ()

## Additional Inherited Members

Protected Attributes inherited from restinio::transforms::zlib::body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >
std::unique_ptr< zlib_t > | m_ztransformator
resp_t & | m_resp

## Detailed Description

Definition at line 1103 of file zlib.hpp.

## Member Typedef Documentation

## base_type_t

using restinio::transforms::zlib::body_appender_t< user_controlled_output_t >::base_type_t = x_controlled_output_body_appender_base_t< user_controlled_output_t, body_appender_t< user_controlled_output_t > >

Definition at line 1109 of file zlib.hpp.

## Member Function Documentation

## flush()

auto & restinio::transforms::zlib::body_appender_t< user_controlled_output_t >::flush | ( |  | ) |

inline

Definition at line 1117 of file zlib.hpp.

The documentation for this class was generated from the following file:

- restinio/transforms/zlib.hpp